libcuda1-331_340.107-0ubuntu0.18.04.3_amd64.deb


Advertisement

Description

libcuda1-331 - Transitional package for libcuda1-340

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Updates Multiverse amd64
Package filename libcuda1-331_340.107-0ubuntu0.18.04.3_amd64.deb
Package name libcuda1-331
Package version 340.107
Package release 0ubuntu0.18.04.3
Package architecture amd64
Package type deb
Category multiverse/misc
Homepage -
License -
Maintainer Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 4.78 KB
Installed size 20.00 KB
This is a transitional package for libcuda1-340, and can be
safely removed after the installation is complete.

Alternatives

Package Version Architecture Repository
libcuda1-331_340.107-0ubuntu0.18.04.3_i386.deb 340.107 i386 Ubuntu Updates Multiverse
libcuda1-331_340.106-0ubuntu3_i386.deb 340.106 i386 Ubuntu Multiverse
libcuda1-331_340.106-0ubuntu3_amd64.deb 340.106 amd64 Ubuntu Multiverse
libcuda1-331 - - -

Requires

Name Value
libcuda1-340 -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libcuda1-331_340.107-0ubuntu0.18.04.3_amd64.deb
Source Package nvidia-graphics-drivers-340

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libcuda1-331 deb package:
    # sudo apt-get install libcuda1-331

Files

Path
/usr/share/doc/libcuda1-331/changelog.Debian.gz
/usr/share/doc/libcuda1-331/copyright

Changelog

2019-07-25 - Alberto Milone <alberto.milone@canonical.com>
nvidia-graphics-drivers-340 (340.107-0ubuntu0.18.04.3) bionic; urgency=medium
* debian/templates/dkms_nvidia.conf.in:
debian/patches/buildfix_kernel_5.0.patch,
debian/patches/buildfix_kernel_5.2.patch,
debian/patches/use-kmem_cache_create_usercopy-on-4.16.patch:
- Backport kernel compatibility fixes (LP: #1837834).
2019-02-14 - Alberto Milone <alberto.milone@canonical.com>
nvidia-graphics-drivers-340 (340.107-0ubuntu0.18.04.2) bionic; urgency=medium
* Add support for xserver-xorg-core-hwe-18.04 (LP: #1815579).
2018-09-11 - Alberto Milone <alberto.milone@canonical.com>
nvidia-graphics-drivers-340 (340.107-0ubuntu0.18.04.1) bionic; urgency=medium
* New upstream release:
- Added support for X.Org xserver ABI 24 (xorg-server 1.20).
- Improved nvidia-bug-report.sh to check for kern.log which is
the default kernel log-file location for many Debian-based
Linux distributions.
- Fixed a bug which could cause X servers that export a Video
Driver ABI earlier than 0.8 to crash when running X11
applications which call XRenderAddTraps().
* debian/substvars:
- Add support for ABI 24.
* debian/templates/nvidia-graphics-drivers.postrm.in,
debian/templates/nvidia-graphics-drivers.preinst.in,
debian/templates/nvidia-graphics-drivers.prerm.in:
- Use diversions for "libGLESv1_CM.so" "libGLESv1_CM.so.1" (LP: #1791542).
* debian/rules,
debian/templates/nvidia-graphics-drivers.dirs.in,
debian/templates/nvidia-graphics-drivers.postinst.in:
- Install the modprobe file in /lib, and remove the blacklist
file manually (LP: #1761593).
2018-03-07 - Alberto Milone <alberto.milone@canonical.com>
nvidia-graphics-drivers-340 (340.106-0ubuntu3) bionic; urgency=medium
* debian/templates/nvidia-graphics-drivers.postrm.in,
debian/templates/nvidia-graphics-drivers.preinst.in,
debian/templates/nvidia-graphics-drivers.prerm.in:
- Deal with 32 bit compatibility diversions (LP: #1753061).
* debian/templates/control.in:
- Conflict/replace/provide the virtual packages from the 390
series.
- Drop dependency on nvidia-prime and on bumblebee.
2018-02-22 - Alberto Milone <alberto.milone@canonical.com>
nvidia-graphics-drivers-340 (340.106-0ubuntu2) bionic; urgency=medium
* debian/rules,
debian/71-nvidia.rules,
debian/dkms_nvidia.conf,
debian/templates/nvidia-graphics-drivers.install.in,
debian/glamor.conf,
debian/templates/nvidia-graphics-drivers.postinst.in,
debian/templates/nvidia-graphics-drivers.postrm.in,
debian/templates/nvidia-graphics-drivers.preinst.in,
debian/templates/nvidia-graphics-drivers.prerm.in,
debian/templates/nvidia-drm-outputclass-ubuntu.conf.in:
- Drop the alternatives in favour of diversions, so that the
driver can work with GLVND enabled mesa.
* debian/substvars:
- Depend on xserver-xorg-core (>= 2:1.19.6-1ubuntu2).
2018-01-17 - Alberto Milone <alberto.milone@canonical.com>
nvidia-graphics-drivers-340 (340.106-0ubuntu1) bionic; urgency=medium
* New upstream release:
- Fixed a compatibility problem between the nvidia.ko's Page
Attribute Table (PAT) support and the kernel Page Table
Isolation (PTI) patches.
To optimize stores to memory, nvidia.ko contains support for
configuring the CPU's PAT registers, as a fallback for Linux
kernels that predate kernel native PAT support.  On any recent
kernel with CONFIG_X86_PAT enabled, the driver will detect that
setup has already been done and skip its PAT setup.  However, a
static inline function called by nvidia.ko's PAT fallback
support was updated in the PTI patches to use the
EXPORT_SYMBOL_GPL symbol 'cpu_tlbstate'. nvidia.ko was updated
to only contain its PAT fallback support, at build time, on
kernels without CONFIG_X86_PAT.
* debian/templates/dkms_nvidia.conf.in:
- Drop buildfix_kernel_4.14.patch.

See Also

Package Description
libcuda1-340-updates_340.107-0ubuntu0.18.04.3_amd64.deb Transitional package for libcuda1-340
libcuda1-384_390.116-0ubuntu0.18.04.1_amd64.deb Transitional package for nvidia-headless-390
linux-modules-nvidia-390-5.0.0-1020-oem-osp1_5.0.0-1020.22_amd64.deb Linux kernel nvidia modules for version 5.0.0-1020
linux-modules-nvidia-390-5.0.0-1022-oem-osp1_5.0.0-1022.24_amd64.deb Linux kernel nvidia modules for version 5.0.0-1022
linux-modules-nvidia-390-5.0.0-1024-oem-osp1_5.0.0-1024.27_amd64.deb Linux kernel nvidia modules for version 5.0.0-1024
linux-modules-nvidia-390-5.0.0-1025-oem-osp1_5.0.0-1025.28_amd64.deb Linux kernel nvidia modules for version 5.0.0-1025
linux-modules-nvidia-390-oem-osp1_5.0.0-1025.28_amd64.deb Extra drivers for nvidia-390 for the oem-osp1 flavour
linux-modules-nvidia-418-5.0.0-1020-oem-osp1_5.0.0-1020.22_amd64.deb Linux kernel nvidia modules for version 5.0.0-1020
linux-modules-nvidia-418-5.0.0-1022-oem-osp1_5.0.0-1022.24_amd64.deb Linux kernel nvidia modules for version 5.0.0-1022
linux-modules-nvidia-418-5.0.0-1024-oem-osp1_5.0.0-1024.27_amd64.deb Linux kernel nvidia modules for version 5.0.0-1024
linux-modules-nvidia-418-5.0.0-1025-oem-osp1_5.0.0-1025.28_amd64.deb Linux kernel nvidia modules for version 5.0.0-1025
linux-modules-nvidia-418-oem-osp1_5.0.0-1025.28_amd64.deb Extra drivers for nvidia-418 for the oem-osp1 flavour
nvidia-libopencl1-331-updates_340.107-0ubuntu0.18.04.3_amd64.deb Transitional package for nvidia-libopencl1-340
nvidia-libopencl1-331_340.107-0ubuntu0.18.04.3_amd64.deb Transitional package for nvidia-libopencl1-340
nvidia-libopencl1-340-updates_340.107-0ubuntu0.18.04.3_amd64.deb Transitional package for nvidia-libopencl1-340
Advertisement
Advertisement